Memos
Attachment Service

Get Attachment

GetAttachment returns an attachment by name.

GET
/api/v1/attachments/{attachment}

Path Parameters

attachment*string

The attachment id.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/attachments/string"
{
  "name": "string",
  "createTime": "2019-08-24T14:15:22Z",
  "filename": "string",
  "content": "string",
  "externalLink": "string",
  "type": "string",
  "size": "string",
  "memo": "string",
  "motionMedia": {
    "family": "MOTION_MEDIA_FAMILY_UNSPECIFIED",
    "role": "MOTION_MEDIA_ROLE_UNSPECIFIED",
    "groupId": "string",
    "presentationTimestampUs": "string",
    "hasEmbeddedVideo": true
  }
}
{
  "code": 0,
  "message": "string",
  "details": [
    {
      "@type": "string"
    }
  ]
}

On this page

No Headings